# Uses of Interface
com.logicaldoc.core.security.user.PasswordHistoryDAO

Packages that use PasswordHistoryDAO
Package
Description
com.logicaldoc.core.security.user
Definition of the User object and ancillary objects

## Uses of PasswordHistoryDAO in com.logicaldoc.core.security.user

Classes in com.logicaldoc.core.security.user that implement PasswordHistoryDAO
Modifier and Type
Class
Description
`class`
`HibernatePasswordHistoryDAO`
Hibernate implementation of `PasswordHistoryDAO`
Methods in com.logicaldoc.core.security.user that return PasswordHistoryDAO
Modifier and Type
Method
Description
`static PasswordHistoryDAO`
PasswordHistoryDAO.`get()`
Gets the object available in the application context
Methods in com.logicaldoc.core.security.user with parameters of type PasswordHistoryDAO
Modifier and Type
Method
Description
`void`
HibernateUserDAO.`setPasswordHistoryDAO(PasswordHistoryDAO passwordHistoryDAO)`